# Advanced Usage

While the functions provided by the library cover lots of use cases, there are other times where applications need something else. Below are some of those.

- [Customizing Serialization][ser]
- [Related Documents and Custom Queries][rel]
- [Referential Integrity][ref] (PostgreSQL only)<br>
  This page is an appendix to the conceptual part of "Relational Documents". Its example documents use PascalCase instead of camelCase, but the concept is the same.


[ser]: ./custom-serialization.md "Advanced Usage: Custom Serialization &bull; PDODocument &bull; Relational Documents"
[rel]: ./related.md "Advanced Usage: Related Documents &bull; PDODocument &bull; Bit Badger Solutions"
[ref]: /concepts/referential-integrity.html "Appendix: Referential Integrity with Documents &bull; Concepts &bull; Relational Documents"
